package de.fhdw.gaming.ipspiel23.ht.moves.factory;

import de.fhdw.gaming.ipspiel23.ht.moves.IHTMove;

/**
 * Allows to create HT moves.
 */
public interface IHTMoveFactory {
    
    /**
     * Creates a move playing "heads".
     */
    IHTMove createHeadsMove();

    /**
     * Creates a move playing "tails".
     */
    IHTMove createTailsMove();
    
    /**
     * Creates a move playing "edge".
     */
    IHTMove createEdgeMove();
}
