package de.fhdw.gaming.ipspiel23.ht.strategy.factory;

import java.util.List;

import de.fhdw.gaming.ipspiel23.ht.strategy.IHTStrategyFactory;

/**
 * Provides a list of {@link IHTStrategyFactory} instances.
 */
public interface IHTStrategyFactoryProvider {
    
    /**
     * Provides a list of {@link IHTStrategyFactory} instances.
     */
    List<IHTStrategyFactory> getStrategyFactories();
}
